# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.2](https://github.com/neohelden/Flutter-AdaptiveCards/compare/0.1.1...0.1.2) - 2020-12-10

### Merged

- Release 0.1.2 [`#62`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/62)

### Commits

- Update changelog [`faac550`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/faac550e35a9f44dad6fe42d41233d24956ed936)
- MacOS: Fix network issue [`b6d9bdf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b6d9bdf06f620c130a2ba6be16a786c4266d17fe)
- Fix deprecated APIs [`360dd34`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/360dd3407a0dbdf44c92095eb043a062e42ad6fe)

## [0.1.1](https://github.com/neohelden/Flutter-AdaptiveCards/compare/0.1.0...0.1.1) - 2020-12-10

### Merged

- Further changes for Release 0.1.0 [`#61`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/61)

### Commits

- Update changelog [`f16168a`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f16168ac59c3e7b00c7eef5edf6f77bfbc5a8107)
- Update test files [`da5ee58`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/da5ee5870aae663f8ebc02d760b98ed4529eaef3)
- Release v0.1.1 [`608365e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/608365ea617873b6c4e1f983515c7d70b1f1c862)
- Update pubspec for release [`1d6db85`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1d6db856369072736cf8723e5810f621cf023557)
- Rename docs folder to doc [`cba6d86`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cba6d86dcf4d9451d488fefba9955ac6ebf760ac)
- Ignore test failures folder [`32244b3`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/32244b3904c0457fa1d1fe8802dceb180bf53dcc)

## 0.1.0 - 2020-12-10

### Merged

- Release 0.1.0 [`#60`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/60)
- Upgrade all dependencies [`#59`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/59)
- Upgrade dependecies [`#58`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/58)
- Add column and image width in px [`#57`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/57)
- Column set horziontal alignment [`#56`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/56)
- Add android embedding v2 [`#53`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/53)
- Move mounted check before setState [`#55`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/55)
- Enable approximateDarkThemeColors for render time example [`#51`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/51)
- Add LiveView property for perfomance increase of large lists [`#50`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/50)
- Change choice set default style to compact [`#47`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/47)
- fix: Send choiceSet as string encoded value [`#46`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/46)
- Add support for the "style" property at the ac root element [`#44`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/44)
- Expand base actions on vertical alignment [`#38`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/38)
- Content Alignment in ColumnSet's [`#37`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/37)
- Add action support for images [`#36`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/36)
- Dynamic HostConfig [`#34`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/34)
- Extract classes into separate files [`#32`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/32)
- Add support for image width and height [`#30`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/30)
- Add support for column background image [`#29`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/29)
- Add support for ActionSet's [`#28`](https://github.com/neohelden/Flutter-AdaptiveCards/pull/28)

### Fixed

- Fix #18, add example to gallery [`#18`](https://github.com/neohelden/Flutter-AdaptiveCards/issues/18)
- Update README (close #17) [`#17`](https://github.com/neohelden/Flutter-AdaptiveCards/issues/17)

### Commits

- Initial commit [`a10b911`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a10b91147fbbb8e2914c0b703f8625dc4b9bdf08)
- added src with exports, added input.text [`7cedf57`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7cedf57b1cc92a2fe9c49c8f34a284d35f1749b8)
- split up file into multiple ones. Made a bunch of private classes public [`be16300`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/be1630034ce773f7dced4d2fc178439b200ceb12)
- added samples, fixed stuff [`4435ad2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4435ad23f8e570a08882a6375ecce96aef58733a)
- started adding tests [`bae76db`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/bae76dba1c808038d86384f5b3c4463170149e59)
- time element [`5378d36`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/5378d36ee85ace00457c34542e5716ad95e9ab73)
- Fixed potential bug, updated documentation [`30c0a5e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/30c0a5ef18d803cf3ad4d32455ff994b43a6fb0c)
- Made demo screen pretty [`4e73bc1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4e73bc1d3e32131c645f1d77ccbdb7957a4c8939)
- removed .idea folders from git [`cb307f2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cb307f2c6d60e4309f6e4ef6739a220b7f0f74af)
- Fully implemented the TextBlock element. Added demos and restructured the example. [`faf7e02`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/faf7e02e3134062c1730f465cad7efd3073ebf8c)
- Example: Add macOS files [`03acc3a`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/03acc3ab7fbb1dcc6e389c7da5fe57b230e6eda7)
- implemented the text element [`51fe308`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/51fe308e17e1bab118f6b4594209d248601a478b)
- added documentation [`9191681`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/91916814726486bede9bddbcaa7b6dad222c80c0)
- found bug [`9e99016`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/9e9901666437bce304c40adbbeacbb6435496a5b)
- removed unneeded files - changed abstract class to mixin [`135bc7b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/135bc7b46491620976a6f5c920712444de7182be)
- implemented imageset image sizes [`cb0b38b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cb0b38bfadcc5a8a53d41d2ac04bf19b6539e595)
- Flutter recreate ios example [`d6e9350`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/d6e9350c97d3034aa6cb1f22043e5196667f29d2)
- Example: Add Windows files [`b358d94`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b358d9465997e6bbd0ed0af94c614be718f4dd0f)
- Flutter recreate ios example [`55b947d`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/55b947d120230b507e2b23304b8b6639f316150b)
- WIP refactoring to widgets [`a7bae50`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a7bae50e8e7e27599b76993cda9a19ba45b190c5)
- Added smoke tests, added backgroundImage property to AdaptiveCard, fix a few minor bugs [`2bcec8e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2bcec8ef6151461c5b345f05e234ce9b66f3aed5)
- added imageset and action.openurl [`3fe766f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3fe766fe996c2921e4cf5abac907ca1243170b52)
- simplified stuff, works better :) [`05f215c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/05f215c30dbeb00680241f4df3c79cdf6272b03c)
- added container examples [`db1e63f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/db1e63f78437b6dad7416f660e95eda4ef26a116)
- abstracted tappable, added column set examples [`5531a37`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/5531a3712aa76e1c658aefd1bf0622a9dc067199)
- added column examples, implemented column stuff [`fd681c2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/fd681c2d7677df352b98d9f96a684cb135ee7d34)
- added date configs [`babeaab`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/babeaab1e7a50e2b2e751ca01408c916f8ce8863)
- added the media element v0.1 [`48a43ff`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/48a43fff34b710d93bc583a993b5bd3f515949fd)
- added keep alive to the loading_adaptive_card so it doesn't reload the [`3b448ee`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3b448ee7cf2b3f9e93f47f6d15ff0ea29ef3c6d4)
- added visitor, submit button works now [`438d009`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/438d009d1266d1e4cd12c96e7070212d818e0222)
- started choice set [`08c87f6`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/08c87f627240414b230b6a61176be0c9c8cfe6db)
- column set and started examples [`6ea0c1e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6ea0c1e1ede487c9668552a97711c81fd133da06)
- Implemented element registry with tests [`f620a93`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f620a935156e08194203d30dea1ab0ba8be0147c)
- Example: Update Android example [`55d90e6`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/55d90e63b02ca63f08fbe3de9ceeb6d998a3895c)
- prepared image [`6e2d417`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6e2d417fe156da747e494fa183ed10be611c6d3e)
- added nice constructor methods [`c9fac1c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/c9fac1c5ced358800089d59c7496fbf749539bc8)
- Work on show card bug [`b28fc71`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b28fc717c08ac1e6d55708855dcd35e2cc4bb17f)
- Example: Add Linux files [`a2e80b0`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a2e80b049d143390db79f065e4d9e009e37d5ddc)
- fully implemented choice set [`1ba9b52`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1ba9b52ae33c6a45a8b445ac274b4b19cf5bfbbe)
- Add support for giving a dynamic host config [`f2c38e4`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f2c38e440498028d8e63cccbf8c485d61b2b029f)
- Add brightness switch [`6b3c802`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6b3c802f4e67882badd78329b4b70fc75987d599)
- Removed unneeded instance passing through the tree [`96e6f6c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/96e6f6cd5dce19f1d15fa5c9f4563e604ad18539)
- Add horizontal and vertical alignment to columns [`01eaaff`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/01eaaff9b09ff7d6352030f07c31b9440634eca7)
- added factset [`7398078`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7398078682c2af38e300553f85424a7534ba28ed)
- added the icon to the Action.OpenUrl [`833a16f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/833a16f6bd93ab5bc0eab73636174ae1a8f8ba3a)
- First working draft of refactor [`db61820`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/db61820b075b30309c317230b57670d10ae21add)
- removed fact because it is not a standalone element [`bd9d6cc`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/bd9d6ccf0d6fe4be60930359a1ea41f9847834d6)
- Upgrade core dependencies [`bb20816`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/bb20816b720de4064c7c7bd7e6e4eed7eaf0c586)
- Fix input field [`bd3f625`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/bd3f6257d8284f0e9132ff49edb6e0504aa101a2)
- added chewie for media playback [`3d0e8a1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3d0e8a191029f9f8237b005d0be322b2a647eecf)
- fixed issue in the samples json (maxLines were 0, changed to 1) [`7789f67`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7789f6736d65322b56603da065b1c7ee15b15432)
- Add support for horizontal alignment of ColumnSet [`966ab52`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/966ab523836aa78b92541823feb294d0c5116095)
- added show card example [`ffba840`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ffba840e2b291a56921bb35422cf970bac051f4d)
- added image_set [`2b04fae`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2b04fae79ff45ca5cccd4773eb45aac9d0ca7d66)
- added choice set [`acdffef`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/acdffeff87bd3839e7c7565e200d9f59a5dc7a28)
- Add custom host config object [`7c137ca`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7c137ca886f282ba0fa248cf460c2fd9277a764c)
- added fact_set example [`4d17baa`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4d17baaefa758403ba680b6ba0d6e94e0a668687)
- Add roboto assets for golden tests [`86dd0b1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/86dd0b164ead3e75d2859514ebdc499878999f3c)
- Moved things around [`552c2ee`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/552c2ee7663b2598e52c330e3edc4549eda721a3)
- removed enums added image [`ad9e4b5`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ad9e4b5f50be4b6b728b044c002c0e2a20bb3a3e)
- container action and background color implementation. Fixed rgb/argb bug [`4fc96fb`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4fc96fb0134b7aad1f3c542dfd6788d4f332b070)
- added a todo [`62f874d`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/62f874d35a17181ca48b96c559fdd06a01cec1e5)
- implemented text.number [`15e3339`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/15e3339a4544a932afb8b4c0391e3482d28e1560)
- Added component registry [`e6f8a65`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e6f8a6592b4a1acfca5efa11007a50f153ea43c6)
- switched to the generateWidget/ build system [`d0a2997`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/d0a2997b1b4c2d1908f67aaf723f511539407dde)
- Enable support for app theme text color [`748aedb`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/748aedb2d074d8016034ed754b27ec86d6b7b61e)
- Add background property to all container types [`b6681d2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b6681d23ca4c26797e92bed7db72764ffb08858b)
- implemented and fixed image_set stuff [`0d3d584`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0d3d584c542f96c00f02af5584606ee104288108)
- made demo prettier [`9c92164`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/9c9216456dfa169fe449bda613da0c26f1371020)
- Add listView property for long lists [`e2143b9`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e2143b908bc5fb2a72ff4228b70e1e16086e3058)
- changed from string to map [`2c2aa21`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2c2aa21090a9d751a2daf3999cc3066167c59961)
- Put back in markdown and therefore break the maxLines property for texts [`1abfcc9`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1abfcc9c90b3795e97a02f72e6e193b91c7d29f8)
- Refactor theming into inherited widgets instead of instance modification [`a12323b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a12323b30b902ac18d50b05297029b366c35efe7)
- Implement brightness switcher and fix markdown colors in dark mode [`a315095`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a315095ba8f9676b274f210330b5b5b34a7cc7a7)
- Fix weighted width of columns [`8aeebdd`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8aeebdd644c2e6249cfcf3b4ac37c9713e8c4528)
- made the states work [`cedd305`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cedd30562974830500f54e3725c8afc1c9af2657)
- Add markdown support property [`299a994`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/299a9942822ff335445a444a0d82446dc1d91d9c)
- Change example dependency to local relative path [`eefc7cf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/eefc7cfc43f3e87da1feb1e4b24570b03b3dd7e4)
- added required [`f575662`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f575662d4e26b22418fc7b3643d65fbe4a7fa373)
- Bump flutter version [`80b6a50`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/80b6a50ff95c2a4aba0464fa1a6c218bf3a36ed7)
- Implement about page [`fa5e773`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/fa5e773dd0d06bf8d6981bc936b0ed9347b63966)
- Fix Columns [`0e1e6cd`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0e1e6cd96b003d2865fbe5af5ec169a555645326)
- Added more tests [`8b52087`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8b5208749406e248120b8c37118a47534acc62ad)
- made constructor named and extends the mixins from _AdaptiveElement [`294a8f8`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/294a8f8d2516d1a49e7f0cb0877e4723d58e4271)
- preprocessing ids [`417fa15`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/417fa153d062ebaa919529a16415d4582a6cfd13)
- Update dependencies [`81354d8`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/81354d8114a61a4bcae2ca91375295461ed87276)
- Added default card registry, started with native styling [`1dae50b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1dae50ba3999b2c58019509caabd45f619ec2b16)
- Bumped video player to new version, working on golden tests [`f243175`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f243175ccee3d545c0b30d02a76bda0407aadc24)
- Upgrade provider from 3.2.0 to 4.3.2+2 [`f521a0c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f521a0c064e84ae7968105eaa5ee37c295a41d74)
- visiting children now respects nulls [`59feddf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/59feddfaa95fa4be605bef2b9874c23ae796df51)
- replaced custom datetime formatting with dateformat [`6c2bac4`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6c2bac4a05b889626c9a5834f4498958341f3ffd)
- Change asset declaration to folders instead of files [`ca89f97`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ca89f970ca483ac361fb2b4575c71f6e53294cbf)
- Bump uuid dependency version to 2.0.2 [`5298555`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/529855503c05171f4c9d4fd26b091f253230f3a5)
- Change package name of example [`cdf14cf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cdf14cf7f1a53b898978de9e9ed720630b7e08db)
- Dump markdown version [`4ec79cd`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4ec79cd102ea713b2015b3cd7751c19bce04a0f4)
- Fix little alignment bug, improve sample performance [`2a127a7`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2a127a78d6df2d23c093161f0ae8e2001155868b)
- date parsing, still WIP [`850370c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/850370c7fd3e7bdbaef8e98d10a8e3cc832008d1)
- Implemented actions [`940fe35`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/940fe3567720161b5b4a756e6565d47996e26807)
- Change color of containers with theme [`37eaab0`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/37eaab056260de95dcad289cf5341f8cf7d97bf2)
- Update example app [`fb53f10`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/fb53f10f1eab422a401ad3bf6b965bacd0bf1f3d)
- Implemented DATE() and TIME() functions and added tests for it [`7ef3f33`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7ef3f33e68d63d0802f3d044e50596c704f351b1)
- Added golden files [`5c24639`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/5c246396be414566540ce1c0ae50fbaae0ef8053)
- Fix InputChoice and rename base.dart class [`f16ca3b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f16ca3b908b2ef5fcae0720fb6eec19256d85618)
- Update README.md [`7b80b48`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7b80b4871fbbcaef8590a6096f27a3333b6f5815)
- Add calculating an appropriate color when theme is dark [`7df1d3b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7df1d3b17e15bd76a6654310c830f3b2e027793d)
- Added more golden tests [`85d6159`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/85d615932c894ac36fb22f9a7fee81ac0b71a3c9)
- Fix tests [`cb2ee33`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cb2ee33345bbc6629453251eccd404b47d47de30)
- Fix support for image width and height properties [`19b8643`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/19b8643c5f5076ffef7a2a4e0bd2fafcffbe8a35)
- Add correct text alignment for not markdown text [`cf349d0`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cf349d0a6b81f5fde80423e4b99ad58ebe3b7742)
- Fix video and stretch attribute in image [`384c25c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/384c25cbe719adfc13a3a693ee1716bf5d1ea4e7)
- removed text from main [`a631133`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a631133a6281408923ed464946968ca5be8eab4f)
- Update pods [`2c02310`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2c02310eac1000ef631328c4bba92b285926c1d2)
- Update pubspec for example app [`c768f78`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/c768f78f9358341584b44e0466561b36dc441efe)
- Example: Add Web files [`a2e6b77`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a2e6b77f65d6c1b6e9b4e5a30cce7fd8fb2509b8)
- Add support for column width in pixels [`d797d7b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/d797d7bc1503bb2b2e9bbea7585b9f3324387296)
- Add image alignment in column set [`46ecc98`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/46ecc98b893d9ff804839fa9c7805c008e864e39)
- Added basics of registry [`8710db2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8710db22e46bbe76a435b59463993bcb8a5a5577)
- Update README.md [`dd1e018`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/dd1e018dfac9961afee349e7067fc24e9e016661)
- card buttons can now display if they are open or closed [`04a7fb9`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/04a7fb9724b17484cf62afb296c332f7c2a95141)
- Rebuild AC when theme is changing [`6a68364`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6a68364c8f3c22e85834ac8b98cab19408ed41c7)
- Fix show card [`cc5bb83`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cc5bb83ace132eae914b27176365f9d22530e248)
- Added showDebugJson [`6c03d6e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6c03d6e580246b3929505220bc775a767ab69f64)
- Container adapts to dark theme, may change in the future [`073ef81`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/073ef81ba56d275a92b7ea8a20d94d47928d83eb)
- input.text finished [`cb304b1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cb304b1e107cd798d3400a86463cb40f23fc0ee3)
- Styling [`e8823a4`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e8823a4e0b23c10074cc323517bc044be44470ca)
- added container spacing [`99a9e66`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/99a9e66534f289f4b6e3de7cc3607c7e462f03e9)
- Example: Update iOS example [`9b40f1f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/9b40f1fe394613a8316eecc85d5ca070e0103ece)
- Example: Update about page [`cc00494`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cc00494dc022f69f675d578022b8557871f63fb5)
- Adjust chewie to work properly [`be46073`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/be46073d9cf34d18e1999bd9be7be1220aef6c0e)
- Adjust image fit when only one (width or height) is set in px [`8d09d3b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8d09d3bcaf815bd7bb17ad5abde769fff4825924)
- Fix registry tests [`53d0b78`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/53d0b78e3928dcac6ee189c033be595a7d1aec50)
- Add style support for fact set [`2bc5698`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2bc5698283acde8db6578b1de808aed7a5ad2425)
- Add "style" property to ac root [`42cc06f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/42cc06f0f73eba03fd0102ff7c80acae39709251)
- Example: Update pubspec [`01e4a83`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/01e4a83848a639eced0db4f0a379de1e3a8c83a9)
- Update README.md [`71c1edb`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/71c1edb10a9a35fc12e1fe078097e307c8b6b09b)
- Try to fix columns auto layout [`6fbfe02`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6fbfe02548ea7f315ee80ace765d1204d40647f8)
- removed the id generator in favor of the uuid generator [`698b245`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/698b245e3836eb45e02b47fb59712bc902e7b7b1)
- Add asserts to genericActions [`85064b6`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/85064b6db59cc37cb21b4c2c0780ba0195b80b5b)
- Add golden test images [`e02266c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e02266c9a421ce216b6bab9d6f43bfbe45751c9c)
- Add option to disable color approximation for dark mode [`4fd52d3`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4fd52d38cc465322bfeeb6391d9e8cb02f4adcef)
- more doc [`b5b6933`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b5b693373fbd98f78951f626e5ee26eb9565f841)
- Update Plugin registrant [`3dd5b0c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3dd5b0cc53795751f07fddf1fea1cd7d9b403f5d)
- Add back in markdown support [`701ea9f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/701ea9f82d47a951f2a79ba274b2b339c3f31bce)
- Change compile version and change about text [`b6bf823`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b6bf82355ab2015d6e4605bb16a566e50b56ff23)
- Fixed image in column alignment [`cdcccc1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cdcccc112280f564a0b84bf1bced71ca83ad497b)
- added title to toggle [`48a26a7`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/48a26a760258a615f7c43a36da5d8f0390a4689b)
- Update intl version to 16.0.0 [`7b7406c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/7b7406c94c86f8a0ef0c02e33e45e078302267bd)
- Update LICENSE [`392644e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/392644e93409c2a495e01ef295b9e36efa1e86ab)
- Remove using theme style for text_block [`de45433`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/de45433a07d674f6af3fbdf76f016c9cecb416b5)
- Worked on card registry [`8272b9f`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8272b9f2c963d57611dab1973d388585823c6e2e)
- choice set [`d034d02`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/d034d02aca492149cdbc572c632ad38ff02363e1)
- More golden tests [`1a12bbe`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1a12bbefb2cc2a8af111091837c202e17bcf71bd)
- added dispose callback [`1d050ea`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1d050ea4c1d50dab0b39a6a76db32f8cfd836da9)
- added seperator to image set [`3f8d41e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3f8d41eba6431a81686db5105a628b6a3e1ec694)
- Set container background only it style is not default [`2199052`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/219905254df09aa3b0ba90a2f1b7ad9a95f50cdf)
- Added tappable behaviour to ColumnSet, openUrl now debug prints to [`32f9872`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/32f98721b5c9345ce22876f49c494a473c2e5024)
- Remove padding around adaptive card [`0258e82`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0258e82a4946e554275595554b874bc74dd8084d)
- Add how to set the HostConfig to readme.md [`8aeeb68`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8aeeb68352c1af08f3c69c5a4850734d991febb5)
- Rebuilt golden files - fixed image constrains bug - added docs how to generate golden files [`19458c5`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/19458c511556c0a7994f86e3763102b7a556df39)
- Added samples back in, made tests pass [`8152f6d`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8152f6db800286bdd6a82c45e477f7ad900d6b0d)
- Don't set container background color if a background image is given [`f7798d7`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f7798d7557924ca9259f86d53a933b1b868f8c1b)
- Add null check and default maxLines = 0 to no max lines [`ad79797`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ad7979761cd5b0e7539fa3ffb678f565ed880da1)
- Update pubspecs [`245d627`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/245d627e046825485fe7355fd5167950ba7768de)
- Add a null check and change container padding to vertical only [`22e5e95`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/22e5e95915fac1851f84c7770cfdbb6b08a36744)
- Migrate to android embedding v2 [`e54acb1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e54acb1542fb317e0f7a7bbe5e66b4a8916e544e)
- Delete .gitlab-ci.yml [`96ef3d4`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/96ef3d4e7797d04b4905bf4a3b2287bb46742f6e)
- Add sample for custom button theme [`2fb8320`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2fb8320e252d7d521d67d480d9ec4e761ca13c92)
- Update README.md [`0502bdf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0502bdfc721442b0e3f893399607fb01283ddf18)
- Remove unused cupertino icons dependency from example [`d8c5239`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/d8c5239bdcf210b2584d002a9831760c03d00df6)
- Add assertions [`6ec6f59`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6ec6f598a8bd767deb1c5f0047e5bd1e329d55fd)
- Use background color in columns [`09e5e6c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/09e5e6c26b36796a6b36ff9e430d5bf51f47897d)
- Change relative dependency to GitHub dependency [`4b8957e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4b8957e99904a605452eb770c5d8c86426c819a5)
- Update README.md [`c5bd12a`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/c5bd12a200a8b0c89607ed8696fe5e9b0d6b7b83)
- Add CI for GitLab [`b215cc2`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b215cc2e8042d0abd8575c1cfb362b830095adfb)
- fully implemented media source [`a341f9d`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a341f9dbb9ae7eeb6c66b2c8043b5effd06856d5)
- Documented registry [`930b3eb`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/930b3ebed06d993ff27168d6530e894a7869a2dd)
- Add support for dynamic emphasis default color [`a288efd`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a288efd3ec31cebe8b7e2ef71bda2c605c6b6cd2)
- Update README [`c65c5e6`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/c65c5e68ca25f4efcc2dae2406092c9164f4b2b6)
- Removed a few TODOs [`0f22444`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0f22444321f3a63349f45c1462bc0514aaa9592d)
- Update changelog [`bcc538a`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/bcc538a0009dd195a6f62769dc8a69ec9b2ab765)
- Use theme default colors when colors isn't set in the host config [`2f859bf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2f859bf0147159d2cb9e54c61ec7bf52be54fb24)
- Example: Update main view [`6b27eda`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6b27edac472b54026bcb1a87f345413de696da02)
- Bump uuid to 2.2.0 [`058dead`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/058deadfc325136016bfb700042c76aa4cb1d5ab)
- Dispose video player correctly [`4116596`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4116596ecda03a1d11de3aafe0b7cc2e611c565b)
- Pause video when navigating away [`cc31122`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/cc3112265df82d276d609e48180d9c50e5a0b3ba)
- Add spacing between action buttons [`01cec66`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/01cec665f1049613d88fd9e91d1624eb10b27089)
- Remove unused imports [`0d38dbc`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0d38dbc6db3b41070c40bb6d8eff89866dc748a0)
- Update deprecated APIs [`5b19348`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/5b1934840f1f19fedd347d1cecf2166c1e9b3616)
- Update version and description [`ffb989a`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ffb989a87e9d98474e6c1c427f24a3ff8bd887a2)
- Increase test size [`11c198e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/11c198e2708d4f2840df135204ede80ebf60fadb)
- Shrink ListView if it fits on the screen without scrolling [`92ccb38`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/92ccb38dca4cc3956663ea7f04be17638cd5678f)
- Update provider dependency [`e620b21`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e620b21afdb8dbb573d830429945d8ad8e4a31ae)
- Update README.md [`9d5567e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/9d5567e2aed8fbfc47976d8245068882e74242a4)
- Update README.md [`448f319`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/448f31915a100f5dd702f8c0aa97d2d6ce615387)
- Fixed bug in tests and updated golden files [`e7ebe14`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e7ebe144f736c703c0c846befa9a5ae38d6ceef5)
- Add discription markdownSupport flag to readme.md [`3a385dc`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3a385dc31b7cfb4533788c12f0e769f191d1d373)
- Add missing example to pubspec.yaml [`3fc9a89`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3fc9a896bb813a7d7f6dab99a8f8de5f172958bf)
- Remove http dependency [`b82d9eb`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b82d9eb22ff366167bf7cfc72b34533b78c4701a)
- Update README.md [`ed30c59`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ed30c59d8f7de17d5c4db848f080ab1674ebfc85)
- Align column at the top instead of center [`f482674`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f482674255acb50db9c60451df05671eb6baeb21)
- added things to .gitignore [`e3c3b24`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e3c3b247fb42b971a185a82268772d97c4b9ef98)
- Fix: Adapt for Flutter Markdown callback changes [`be1bbc6`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/be1bbc691f72f896d1d8b7e07aa8cabc022208c0)
- Use endsWith instead of contains [`e36a266`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e36a26668328d57edc4250728d70a2af85601ecc)
- Update README.md [`6b133e1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6b133e146acae6a48035b3411ab5b77b3359cdf5)
- Update README.md [`e64aae1`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/e64aae17c323517ac7fc7980f58b7e738616d442)
- Remove unused variable [`1969f7e`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1969f7ebc43527bf4476252a355127b79788f77d)
- Align text in action buttons to center [`1f374af`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/1f374af75733df622b961e089562a43717487dba)
- Update license file [`62c2278`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/62c22783fdecf5554398ed158c2f846fb3f82294)
- change Intl version to any [`a3e5fba`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/a3e5fbaf11628a359022aab884989111b44c2ac4)
- Update LICENSE [`0be4360`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/0be4360c7afb43f60637a27d19022512c3b73b81)
- Change to light theme [`9195d80`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/9195d80b0381e5cdfdd194f0bbb01170e5f9718f)
- Fix typo [`958ea26`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/958ea26895e3ecb609344416e7ab7eff073dc8dd)
- Update README.md [`4c1fa60`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/4c1fa60f27f34c00f9d41747614838e84912bbc1)
- Update README.md [`b4a9dd5`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/b4a9dd56db9ff378318e0fdfa5c719f2e45bf92e)
- removed a space [`8d685fe`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/8d685fe61118fb9e92e2948c9afe7e6ac5f7c683)
- CI: Source bashrc prior to running build [`2532137`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/2532137d9e106b37fc2f6f642ec828ca5ee2fa97)
- Update LICENSE [`ed99a98`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/ed99a98bd2141be678aeef455fd3e964605417d7)
- fixed a bug with datatypes [`21c6c9b`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/21c6c9b0663740594b8159a3966faca7c3da614e)
- added scaffolds snackbar as showcase output of submit [`42c2909`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/42c290914bc588702c91990e2031c70ab618e93c)
- Change TextBlock text align to center [`6f9b8cf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6f9b8cf5ee23528cabe2b3659e502a30e5552e05)
- Add comment chewie dependency [`6cef5c9`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/6cef5c9b6b80702dc15717d77401368471d1e612)
- Fix registry test [`08e9310`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/08e93109db00138f46e9e536d66ebd352ba48a7f)
- Add divider to debug show the JSON [`49d3313`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/49d3313d9757c06d517b0320f864926459e6cf9b)
- Delete adaptivecards_for_flutter.png [`39be8bf`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/39be8bf37d4a34b416f59e119088ef0a6f82b6b7)
- Add image for readme [`f13260d`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/f13260d391bc8d20c94bf68d79359228673ed329)
- Add docs folder [`3f7aa8c`](https://github.com/neohelden/Flutter-AdaptiveCards/commit/3f7aa8c34e6f47fbb87005e8074789c00412728b)
